///////////////////////////////////////////////
// 
//  Tekram-S
//  Made for Ludum Dare 48h game design competition, April 2004
//  (theme 'infection')
//
//  Jari Komppa aka Sol 
//  http://iki.fi/sol
// 
///////////////////////////////////////////////
// License
///////////////////////////////////////////////
// 
//     This software is provided 'as-is', without any express or implied
//     warranty.    In no event will the authors be held liable for any damages
//     arising from the use of this software.
// 
//     Permission is granted to anyone to use this software for any purpose,
//     including commercial applications, and to alter it and redistribute it
//     freely, subject to the following restrictions:
// 
//     1. The origin of this software must not be misrepresented; you must not
//        claim that you wrote the original software. If you use this software
//        in a product, an acknowledgment in the product documentation would be
//        appreciated but is not required.
//     2. Altered source versions must be plainly marked as such, and must not be
//        misrepresented as being the original software.
//     3. This notice may not be removed or altered from any source distribution.
// 
// (eg. same as ZLIB license)
//
///////////////////////////////////////////////

#include "globals.h"
#include "Popupnote.h"

Popupnote::Popupnote(int x, int y, int type)
{
    mX = x;
    mY = y;
    mType = type;
    mAge = 0;
    mNext = NULL;
}

Popupnote::~Popupnote()
{
}

void Popupnote::render()
{
    int x = mX;
    int y = mY - mAge;
    SDL_Surface * s = (mType != 1) ? gOutbreak : gMutation;
    SDL_Rect tgt;
    tgt.x = x - 10;
    tgt.y = y - 10;
    tgt.w = 20;
    tgt.h = 20;
    SDL_BlitSurface(s, NULL, gScreen, &tgt);
    //simplefillrect(x - 10, y - 10, x + 10, y + 10, c);
}
